Page MenuHomePhabricator

Cannot query contributions of interwiki usernames
Closed, ResolvedPublic

Description

Neither Special:Contributions nor ApiQueryUserContibutions can handle the new interwiki usernames.

Event Timeline

Anomie created this task.Feb 12 2018, 3:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2018, 3:11 PM
Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Feb 12 2018, 3:13 PM

Change 409908 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Allow querying contributions of interwiki usernames

https://gerrit.wikimedia.org/r/409908

Schnark added a subscriber: Schnark.Mar 5 2018, 9:57 AM

Change 409908 merged by jenkins-bot:
[mediawiki/core@master] Allow querying contributions of interwiki usernames

https://gerrit.wikimedia.org/r/409908

Anomie closed this task as Resolved.Mar 7 2018, 3:02 PM

The fix should be deployed to Wikimedia wikis with 1.31.0-wmf.25 or later, see https://www.mediawiki.org/wiki/MediaWiki_1.31/Roadmap for the schedule.